﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using LineSeries_120799.Resources;
using System.Collections.ObjectModel;
using System.Windows.Media;
using Syncfusion.UI.Xaml.Charts;

namespace LineSeries_120799
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            
            chart.Series[0].Palette = ChartColorPalette.Custom;
            chart.Series[0].ColorModel = new ChartColorModel();

            ViewModel viewModel = (chart.DataContext as ViewModel);
            for (int i = 0; i < viewModel.DataPoint.Count; i++)
            {
                if (viewModel.DataPoint[i].YData > 0)
                    chart.Series[0].ColorModel.CustomBrushes.Add(new SolidColorBrush(Colors.Green));
                else
                    chart.Series[0].ColorModel.CustomBrushes.Add(new SolidColorBrush(Colors.Red));
            }
           
        }
    }

    public class Model
    {
        public string XData
        {
            get;
            set;
        }
        public double YData
        {
            get;
            set;
        }
        public DateTime Date { get; set; }
    }

    public class ViewModel
    {
        public ObservableCollection<Model> DataPoint
        {
            get;
            set;
        }

        public ViewModel()
        {
            this.DataPoint = new ObservableCollection<Model>();
            var date = new DateTime(2000, 1, 1);
            DataPoint.Add(new Model { XData = "Jan", YData = -40 });
            DataPoint.Add(new Model { XData = "Feb", YData = 60 });
            DataPoint.Add(new Model { XData = "Mar", YData = -30 });
            DataPoint.Add(new Model { XData = "Apr", YData = 20 });
            DataPoint.Add(new Model { XData = "May", YData = -20 });
            DataPoint.Add(new Model { XData = "June", YData = 50 });
            DataPoint.Add(new Model { XData = "July", YData = 10 });
            DataPoint.Add(new Model { XData = "August", YData = -40 });

        }
    }
}